efreet_menu.h File Reference

Contains the structures and methods to support the Desktop Menu Specification. More...

## Data Structures

struct | Efreet_Menu
| Efreet_Menu Stores information on a entry in the menu. More...

## Typedefs

typedef enum Efreet_Menu_Entry_Type | Efreet_Menu_Entry_Type
| The type of entry.
typedef struct Efreet_Menu | Efreet_Menu
| Efreet_Menu.
typedef void(* | Efreet_Menu_Cb) (void *data, Efreet_Menu *menu)
| A callback used with efreet_menu_async_get() and efreet_menu_async_parse().

## Enumerations

enum | Efreet_Menu_Entry_Type { EFREET_MENU_ENTRY_MENU , EFREET_MENU_ENTRY_DESKTOP , EFREET_MENU_ENTRY_SEPARATOR , EFREET_MENU_ENTRY_HEADER }
| The type of entry.

## Functions

int | efreet_menu_kde_legacy_init (void)
| Initialize legacy kde support. This function blocks while the kde-config script is run.
Efreet_Menu * | efreet_menu_new (const char *name)
| Creates a new menu.
void | efreet_menu_file_set (const char *file)
| Override which file is used for menu creation.
EFREET_DEPRECATED_API void | efreet_menu_async_get (Efreet_Menu_Cb func, const void *data)
| Creates the Efreet_Menu representation of the default menu or NULL if none found and returns it in the callback.
Efreet_Menu * | efreet_menu_get (void)
| Creates the default menu representation.
EFREET_DEPRECATED_API void | efreet_menu_async_parse (const char *path, Efreet_Menu_Cb func, const void *data)
| Parses the given .menu file and creates the menu representation, and returns it in the callback.
Efreet_Menu * | efreet_menu_parse (const char *path)
| Parses the given .menu file and creates the menu representation.
int | efreet_menu_save (Efreet_Menu *menu, const char *path)
| Saves the menu to file.
void | efreet_menu_free (Efreet_Menu *menu)
| Frees the given structure (if refcount at 1 at the time of this call).
void | efreet_menu_ref (Efreet_Menu *menu)
| Incriments refcount for the menu.
void | efreet_menu_unref (Efreet_Menu *menu)
| Decrements refcount for the menu, and on 0 frees.
int | efreet_menu_desktop_insert (Efreet_Menu *menu, Efreet_Desktop *desktop, int pos)
| Insert a desktop element in a menu structure. Only accepts desktop files in default directories.
int | efreet_menu_desktop_remove (Efreet_Menu *menu, Efreet_Desktop *desktop)
| Remove a desktop element in a menu structure. Only accepts desktop files in default directories.
void | efreet_menu_dump (Efreet_Menu *menu, const char *indent)
| Dumps the contents of the menu to the command line.

## Detailed Description

Contains the structures and methods to support the Desktop Menu Specification.